strigi-utils_0.7.8-2ubuntu1_i386.deb


Advertisement

Description

strigi-utils - command-line tools for Strigi Desktop Search

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: strigi-utils
Package version: 0.7.8
Package release: 2ubuntu1
Package architecture: i386
Package type: deb
Installed size: 220 B
Download size: 58.23 KB
Official Mirror: archive.ubuntu.com
This package is part of Strigi Desktop Search, it contains utilities powered by Strigi: * deepfind, an enhanced version of find. It lists files embedded in other files like .deb, .rpm, .tar.gz, email attachments, and other files. * deepgrep, an enhanced version of grep. It searches in binary files like OpenOffice files, mp3s, Microsoft office files, pdfs and also in files embedded in other files like .deb, .rpm, .tar.gz, email attachments, pdf and other files. * xmlindexer, a program that outputs the file parsing results as xml. It walks through a directory and outputs an XML file containing all the metadata and text it can extract from the files it encounters. This means that the Strigi's powers of data extraction are now available to all applications that can parse XML simply by calling xmlindexer and parsing the output. See the 'strigi-daemon' package for more information.

Alternatives

Replaces

  • strigi-daemon << 0.3.11-1

    Download

    Source package: strigi

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install strigi-utils deb package:
      # sudo apt-get install strigi-utils

    Files

    • /usr/bin/deepfind
    • /usr/bin/deepgrep
    • /usr/bin/rdfindexer
    • /usr/bin/strigicmd
    • /usr/bin/xmlindexer
    • /usr/share/doc/strigi-utils/changelog.Debian.gz
    • /usr/share/doc/strigi-utils/copyright

    Changelog

    2016-01-08 - Matthias Klose <doko@ubuntu.com> strigi (0.7.8-2ubuntu1) xenial; urgency=medium * Merge with Debian; remaining changes: - debian/control: + Drop libavcodec-dev, libavformat-dev, libprostproc-dev and libswscale-dev from Build-Depends since they are in universe. - Add kubuntu_export-symbols.diff to fix compile on ppc64el

    2015-08-07 - Maximiliano Curia <maxy@debian.org> strigi (0.7.8-2) unstable; urgency=medium * Rename lib packages to their v5 version (gcc5 transition).

    2014-05-16 - Reinhard Tartler <siretart@tauware.de> strigi (0.7.8-1.2) unstable; urgency=medium * Non-maintainer upload. * Upload to unstable (Closes: #739442)

    2014-03-19 - Reinhard Tartler <siretart@tauware.de> strigi (0.7.8-1.1) experimental; urgency=low * Non-maintainer upload. * Add libav10.patch and build against libav10 (Closes: #739442)

    2015-08-06 - Martin Pitt <martin.pitt@ubuntu.com> strigi (0.7.8-1ubuntu5) wily; urgency=medium * No-change rebuild against libexiv2-14.

    2015-08-04 - Matthias Klose <doko@ubuntu.com> strigi (0.7.8-1ubuntu4) wily; urgency=medium * No-change rebuild for liblucene-core1v5 name change.

    2015-07-30 - Martin Pitt <martin.pitt@ubuntu.com> strigi (0.7.8-1ubuntu3) wily; urgency=medium * Renamed libraries for gcc5 transition (Closes: #791356)

    2014-07-04 - Robert Ancell <robert.ancell@canonical.com> strigi (0.7.8-1ubuntu2build1) utopic; urgency=medium * No change rebuild against new libexiv2-13

    2014-03-05 - Jonathan Riddell <jriddell@ubuntu.com> strigi (0.7.8-1ubuntu2) trusty; urgency=medium * Add kubuntu_export-symbols.diff to fix compile on ppc64el

    2014-02-17 - Artur Rona <ari-tczew@ubuntu.com> strigi (0.7.8-1ubuntu1) trusty; urgency=low * Merge from Debian unstable. (LP: #1281340) Remaining changes: - debian/control: + Drop libavcodec-dev, libavformat-dev, libprostproc-dev and libswscale-dev from Build-Depends since they are in universe. * Dropped following changes, are fixed in Debian: - debian/strigi-daemon.install: + In strigi-daemon.install usr/bin/luceneindexer now usr/bin/lucene2indexer with new version of clucene. - debian/libstreams-dev.install: + Fix install file.

    Advertisement
    Advertisement